Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06588 Interface Minor Always May 28, 2017, 03:11 Jun 26, 2017, 01:00
Tester Justin Kerk View Status Public Platform MAME (Official Binary)
Assigned To Nathan Woods Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.185 Fixed in Version 0.188 Build 64-bit
Summary 06588: Regression loading softlist items from the command line with changed slot options
Description Many of the pc models default to a 5.25" floppy drive, but you can specify a 3.5" one with a slot option on the command line. The softlists contain both 5.25" and 3.5" disks - pcdos5 is an example of a 3.5" set.

In 0.183, you could do this and it would boot: (it takes a little while on fast-forward)

mame pc -isa3:fdc_xt:fdc:0 35dd pcdos5

In 0.184, 0.185, and in current git master, the above command doesn't cause an error but if you go to the file manager there's no disk attached. To get it to work you have to add -flop1:

mame pc -isa3:fdc_xt:fdc:0 35dd -flop1 pcdos5
Steps To Reproduce
Additional Information Likely a regression from the softlist cleanup in the 0.184 cycle: https://github.com/mamedev/mame/commit/709c330a1f2f2deb095967f865d2c638b63cc497
Flags
Regression Version 0.184
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13856
Robbbert
Developer
May 28, 2017, 03:30
I can confirm the situation. In my case I don't even have pcdos5 and there's no error.

However once -flop1 was added, then it said File not found.
User avatar
No.13891
Tafoid
Administrator
Jun 7, 2017, 21:27
This is fixed in https://github.com/mamedev/mame/pull/2341 which has yet to be applied pending some sanity checking for breakage/regression